import 'package:astronote_app/screens/company_choice_screen.dart';
import 'package:astronote_app/screens/dashboard_screen.dart';
import 'package:astronote_app/screens/log_in_screen.dart';
import 'package:astronote_app/providers/log_in.dart';
import 'package:astronote_app/theme/style.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MultiProvider(
      providers: [
        ChangeNotifierProvider.value(value: LogIn()),
       ],
      child: Consumer<LogIn>(
        builder:(context, logIn, _) => MaterialApp(
            debugShowCheckedModeBanner: false,
            theme: appTheme(),
            home: logIn.isLog ? CompanyChoiceScreen() : LogInScreen(),
            routes: {
              "/logInScreen": (context) => LogInScreen(),
              "/companyChoiceScreen": (context) => CompanyChoiceScreen(),
              "/dashboardScreen": (context) => DashBoardScreen()
            },
          ),
      ),
    );
  }
}
